# class Event | Base class for all KParts events. More...
Full name | `KParts::Event`
Definition | `#include <event.h>`
Inherits | QCustomEvent (qt) [public ]
Inherited by | GUIActivateEvent, OpenURLEvent, PartActivateEvent, PartSelectEvent
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- Event ( const char *eventName )
- virtual const char * eventName () const

#### Public Static Methods

- static bool test ( const QEvent *event )
- static bool test ( const QEvent *event, const char *name )

## Detailed Description

Base class for all KParts events.

Event ( const char *eventName ) | ### Event

const char * eventName () | ### eventName

[const virtual]

bool test ( const QEvent *event ) | ### test

[static]

bool test ( const QEvent *event, const char *name ) | ### test

[static]

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:48 2001, using kdoc 2.0a53.